Subject: bug#70792: 30.0.50; [PATCH] Add Eshell support for expanding absolute file names within the current remote connection

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 May 2024 08:45:18 +0300

> Date: Thu, 9 May 2024 13:30:57 -0700
> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> 
> > We could start with "/local::". I'm simply not so optimistic like Jim,
> > that it will be easy. Likely, se need a full Tramp backend for this, say
> > tramp-local.el. The respective file name handler should remove the
> > "/local::" prefix from the arguments, call the original file operation,
> > and add the "/local::" prefix on the results where appropriate.
> > 
> > And somehow, I'd like to check that this is called from Eshell only. Am
> > I paranoid? Will people use it on their own?
> 
> Maybe the better solution would simply be for "/local:"[1] to be an 
> Eshell-only syntax that DTRT within Eshell. There shouldn't be any 
> conflict so long as Tramp promises not to add a "local" method. :)

I agree that it's a better solution: since the problem is Eshell-only,
having the solution in Eshell has several advantages.